Transact - Account Opening Run in API Explorer
Ask AI
POST
/api/v1/addons/transact/account-opening
curl \
--request POST 'https://api.plannrcrm.com/api/v1/addons/transact/account-opening' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"adviser_id": "123456789",
"investors": [
{
"title": "mr",
"surname": "Miggins",
"given_names": "Ian",
"date_of_birth": "1981-09-28",
"gender": "male",
"email_address": "text@example.com",
"nino": "123456789",
"nationalities": [
"GB"
],
"tax_residencies": [],
"investor_category": "RETAIL",
"mobile_number": {
"country": "GB",
"number": "07700900000"
},
"residential_address": {
"line1": "1 Washington Street",
"line2": "Worcester",
"post_code": "WR1 1NL",
"country": "GB"
},
"postal_address": {
"line1": "1 Washington Street",
"line2": "Worcester",
"post_code": "WR1 1NL",
"country": "GB"
}
}
],
"bank_account": {
"sort_code": "123456",
"account_number": "12345678",
"account_name_or_roll_number": "Ian Miggins",
"is_building_society": true
}
}'
Request examples
{
"adviser_id": "123456789",
"investors": [
{
"title": "mr",
"surname": "Miggins",
"given_names": "Ian",
"date_of_birth": "1981-09-28",
"gender": "male",
"email_address": "text@example.com",
"nino": "123456789",
"nationalities": [
"GB"
],
"tax_residencies": [],
"investor_category": "RETAIL",
"mobile_number": {
"country": "GB",
"number": "07700900000"
},
"residential_address": {
"line1": "1 Washington Street",
"line2": "Worcester",
"post_code": "WR1 1NL",
"country": "GB"
},
"postal_address": {
"line1": "1 Washington Street",
"line2": "Worcester",
"post_code": "WR1 1NL",
"country": "GB"
}
}
],
"bank_account": {
"sort_code": "123456",
"account_number": "12345678",
"account_name_or_roll_number": "Ian Miggins",
"is_building_society": true
}
}
Response examples (401)
{
"message": "Unauthenticated."
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}